reformat code, stylistic changes

This commit is contained in:
2026-02-28 14:45:41 +01:00
parent 25ee2cb422
commit db97601519
20 changed files with 232 additions and 234 deletions

View File

@@ -2,5 +2,5 @@ root = true
[{*.sh,*.bash,*.zsh,.bashrc,.zshrc,install}] [{*.sh,*.bash,*.zsh,.bashrc,.zshrc,install}]
indent_style = space indent_style = space
indent_size = 2 indent_size = 4
max_line_length = 80 max_line_length = 80

View File

@@ -1,8 +1,8 @@
# Set environment variables # Set environment variables
if command -v nvim >/dev/null 2>&1; then if command -v nvim >/dev/null 2>&1; then
export EDITOR="nvim" export EDITOR="nvim"
else else
export EDITOR="vim" export EDITOR="vim"
fi fi
# export EDITOR="ec" # export EDITOR="ec"
export VISUAL="${EDITOR}" export VISUAL="${EDITOR}"
@@ -22,6 +22,6 @@ export GPGKEY="4A45503BBE575E3D4DAF28E27264AFFDC98D52BB"
# gpg-agent # gpg-agent
unset SSH_AGENT_PID unset SSH_AGENT_PID
if [[ "${gnupg_SSH_AUTH_SOCK_by:-0}" -ne "$$" ]]; then if [[ "${gnupg_SSH_AUTH_SOCK_by:-0}" -ne "$$" ]]; then
SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket 2>/dev/null)" SSH_AUTH_SOCK="$(gpgconf --list-dirs agent-ssh-socket 2>/dev/null)"
export SSH_AUTH_SOCK export SSH_AUTH_SOCK
fi fi

View File

@@ -1,45 +1,45 @@
# better ls # better ls
if command -v eza >/dev/null 2>&1; then if command -v eza >/dev/null 2>&1; then
alias ll="eza -bghHlS" alias ll="eza -bghHlS"
else else
alias ll="exa -bghHlS" alias ll="exa -bghHlS"
fi fi
# bat (debian) # bat (debian)
if command -v batcat >/dev/null 2>&1; then if command -v batcat >/dev/null 2>&1; then
alias bat=batcat alias bat=batcat
fi fi
# HSTR configuration - add this to ~/.bashrc # HSTR configuration - add this to ~/.bashrc
alias hh="hstr" # hh to be alias for hstr alias hh="hstr" # hh to be alias for hstr
export HSTR_CONFIG="hicolor" # get more colors export HSTR_CONFIG="hicolor" # get more colors
shopt -s histappend # append new history items to .bash_history shopt -s histappend # append new history items to .bash_history
export HISTCONTROL="ignorespace" # leading space hides commands from history export HISTCONTROL="ignorespace" # leading space hides commands from history
export HISTFILESIZE="10000" # increase history file size (default is 500) export HISTFILESIZE="10000" # increase history file size (default is 500)
export HISTSIZE="${HISTFILESIZE}" # increase history size (default is 500) export HISTSIZE="$HISTFILESIZE" # increase history size (default is 500)
# ensure synchronization between bash memory and history file # ensure synchronization between bash memory and history file
export PROMPT_COMMAND=("history -a; history -n;" "${PROMPT_COMMAND[@]}") export PROMPT_COMMAND=("history -a; history -n;" "${PROMPT_COMMAND[@]}")
function hstrnotiocsti { function hstrnotiocsti {
{ READLINE_LINE="$({ </dev/tty hstr -- "${READLINE_LINE}"; } \ { READLINE_LINE="$({ </dev/tty hstr -- "$READLINE_LINE"; } \
2>&1 1>&3 3>&-)"; } 3>&1 2>&1 1>&3 3>&-)"; } 3>&1
READLINE_POINT="${#READLINE_LINE}" READLINE_POINT="${#READLINE_LINE}"
} }
# if this is interactive shell, then bind hstr to Ctrl-r (for Vi mode check doc) # if this is interactive shell, then bind hstr to Ctrl-r (for Vi mode check doc)
if [[ $- =~ .*i.* ]]; then if [[ $- =~ .*i.* ]]; then
bind -x '"\C-r": "hstrnotiocsti"' bind -x '"\C-r": "hstrnotiocsti"'
fi fi
export HSTR_TIOCSTI="n" export HSTR_TIOCSTI="n"
# ranger # ranger
ranger_cd() { ranger_cd() {
temp_file="$(mktemp -t "ranger_cd.XXXXXXXXXX")" temp_file="$(mktemp -t "ranger_cd.XXXXXXXXXX")"
ranger --choosedir="${temp_file}" -- "${@:-${PWD}}" ranger --choosedir="$temp_file" -- "${@:-$PWD}"
if chosen_dir="$(cat -- "${temp_file}")" && if chosen_dir="$(cat -- "$temp_file")" &&
[[ -n "${chosen_dir}" ]] && [[ -n "$chosen_dir" ]] &&
[[ "${chosen_dir}" != "${PWD}" ]]; then [[ "$chosen_dir" != "$PWD" ]]; then
cd -- "${chosen_dir}" || exit 1 cd -- "$chosen_dir" || exit 1
fi fi
rm -f -- "${temp_file}" rm -f -- "$temp_file"
} }
alias ranger="ranger_cd" alias ranger="ranger_cd"
@@ -51,9 +51,9 @@ alias ranger="ranger_cd"
# inside tmux, we don't know if Sway got restarted # inside tmux, we don't know if Sway got restarted
if [[ -v TMUX ]]; then if [[ -v TMUX ]]; then
swaymsg() { swaymsg() {
SWAYSOCK="${XDG_RUNTIME_DIR}/sway-ipc.${UID}.$(pgrep -x sway).sock" SWAYSOCK="$XDG_RUNTIME_DIR/sway-ipc.$UID.$(pgrep -x sway).sock"
export SWAYSOCK export SWAYSOCK
command swaymsg "$@" command swaymsg "$@"
} }
fi fi

View File

@@ -8,13 +8,13 @@ alias sudo="sudo "
alias rsync_copy="rsync -aAXUHvh --partial-dir=.rsync-partial --progress" alias rsync_copy="rsync -aAXUHvh --partial-dir=.rsync-partial --progress"
alias rsync_copy_ssh="rsync_copy -e ssh" alias rsync_copy_ssh="rsync_copy -e ssh"
alias rsync_backup="rsync_copy --numeric-ids --delete --exclude={'/dev/*', \ alias rsync_backup="rsync_copy --numeric-ids --delete --exclude={'/dev/*', \
'/proc/*','/sys/*','/tmp/*','/run/*','/mnt/*','/media/*','/lost+found'}" '/proc/*','/sys/*','/tmp/*','/run/*','/mnt/*','/media/*','/lost+found'}"
alias rsync_backup_ssh="rsync_backup -e ssh" alias rsync_backup_ssh="rsync_backup -e ssh"
alias rsync_restore="rsync_copy --numeric-ids --delete --exclude='lost+found'" alias rsync_restore="rsync_copy --numeric-ids --delete --exclude='lost+found'"
alias rsync_restore_ssh="rsync_restore -e ssh" alias rsync_restore_ssh="rsync_restore -e ssh"
alias glog="git log --oneline" alias glog="git log --oneline"
alias emerge_world="emerge --ask --verbose --deep --newuse --update @world" alias emerge_world="emerge --ask --verbose --deep --newuse --update @world"
alias sync_repo="rsync_copy_ssh --delete ~/arch_paczuchy/* \ alias sync_repo="rsync_copy_ssh --delete ~/arch_paczuchy/* \
vps.paraboletancza.org:/srv/http/arch.paraboletancza.org" vps.paraboletancza.org:/srv/http/arch.paraboletancza.org"
alias aur_sync="aur sync --sign --chroot" alias aur_sync="aur sync --sign --chroot"
alias aur_build="aur build --sign --chroot" alias aur_build="aur build --sign --chroot"

View File

@@ -1,34 +1,34 @@
take() { take() {
local -r directory="$1" local -r directory="$1"
mkdir -p "${directory}" mkdir -p "$directory"
cd "${directory}" || exit 1 cd "$directory" || exit 1
} }
# downloading from youtube # downloading from youtube
yt-dlp() { yt-dlp() {
local -a -r args=( local -a -r args=(
--cookies-from-browser "chromium:${HOME}/.local/share/qutebrowser" --cookies-from-browser "chromium:$HOME/.local/share/qutebrowser"
--extractor-args "youtube:player_client=default,web_safari;player_js_version=actual" --extractor-args "youtube:player_client=default,web_safari;player_js_version=actual"
--fragment-retries infinite --fragment-retries infinite
) )
command yt-dlp "${args[@]}" "$@" command yt-dlp "${args[@]}" "$@"
} }
yt_dl_mp3() { yt_dl_mp3() {
yt-dlp -t mp3 --embed-thumbnail "$@" yt-dlp -t mp3 --embed-thumbnail "$@"
} }
yt_dl_channel() { yt_dl_channel() {
local -a -r args=( local -a -r args=(
--download-archive "archive.txt" --download-archive "archive.txt"
--output "%(upload_date)s.%(title)s.%(id)s.%(ext)s" --output "%(upload_date)s.%(title)s.%(id)s.%(ext)s"
--merge-output-format mkv --merge-output-format mkv
--ignore-errors --ignore-errors
--write-sub --write-sub
--sub-langs "en,pl" --sub-langs "en,pl"
--write-description --write-description
--write-info-json --write-info-json
--write-thumbnail --write-thumbnail
) )
yt-dlp "${args[@]}" "$@" yt-dlp "${args[@]}" "$@"
} }

View File

@@ -3,13 +3,11 @@
# #
# load bash configuration # load bash configuration
CONF_DIR="${HOME}/.bash/conf.d" readonly conf_dir="${HOME}/.bash/conf.d"
readonly CONF_DIR
if [[ -d "${CONF_DIR}" ]]; then if [[ -d "${conf_dir}" ]]; then
for conf_file in "${CONF_DIR}"/*.bash; do for conf_file in "${conf_dir}"/*.bash; do
[[ -r "${conf_file}" ]] || continue # shellcheck source=/dev/null
# shellcheck source=/dev/null [[ -r "$conf_file" ]] && . "${conf_file}"
source "${conf_file}" done
done
fi fi

View File

@@ -2,5 +2,5 @@ root = true
[*] [*]
indent_style = space indent_style = space
indent_size = 2 indent_size = 4
max_line_length = 80 max_line_length = 80

View File

@@ -4,11 +4,11 @@ SCRIPT_NAME="${0##*/}"
readonly SCRIPT_NAME readonly SCRIPT_NAME
check_deps() { check_deps() {
command -v curl >/dev/null 2>&1 || die "curl: command not found" command -v curl >/dev/null 2>&1 || die "curl: command not found"
} }
usage() { usage() {
cat <<EOF cat <<EOF
Usage: ${SCRIPT_NAME} [--family auto|4|6] [-h|--help] Usage: ${SCRIPT_NAME} [--family auto|4|6] [-h|--help]
Query an external service using curl and print: Query an external service using curl and print:
@@ -23,66 +23,66 @@ EOF
} }
shell_quote() { shell_quote() {
local -r string="$1" local -r string="$1"
printf "'%s'" "${string//'/'\\''/}" printf "'%s'" "${string//'/'\\''/}"
} }
die() { die() {
local -r message="$1" local -r message="$1"
printf "%s: %b\n" "${SCRIPT_NAME}" "${message}" >&2 printf "%s: %b\n" "${SCRIPT_NAME}" "${message}" >&2
exit 1 exit 1
} }
invalid_option() { invalid_option() {
local -r option="$1" local -r option="$1"
die "invalid option $(shell_quote "${option}") die "invalid option $(shell_quote "${option}")
Try '${SCRIPT_NAME} --help' for usage." Try '${SCRIPT_NAME} --help' for usage."
} }
parse_args() { parse_args() {
family="auto" family="auto"
while (($# > 0)); do while (($# > 0)); do
case "$1" in case "$1" in
-h | --help) -h | --help)
usage usage
exit 0 exit 0
;; ;;
--family) --family)
( (($# < 2)) || [[ -z "$2" ]]) && ( (($# < 2)) || [[ -z "$2" ]]) &&
die "--family requires an argument (auto, 4 or 6)" die "--family requires an argument (auto, 4 or 6)"
family="$2" family="$2"
shift 2 shift 2
;; ;;
--family=*) --family=*)
family="${1#*=}" family="${1#*=}"
[[ -z "${family}" ]] && [[ -z "${family}" ]] &&
die "--family requires an argument (auto, 4 or 6)" die "--family requires an argument (auto, 4 or 6)"
shift shift
;; ;;
*) invalid_option "$1" ;; *) invalid_option "$1" ;;
esac esac
done done
validate_args validate_args
} }
validate_args() { validate_args() {
case "${family}" in case "${family}" in
auto | 4 | 6) ;; auto | 4 | 6) ;;
*) die "invalid value for family: '${family}' (expected auto, 4 or 6)" ;; *) die "invalid value for family: '${family}' (expected auto, 4 or 6)" ;;
esac esac
} }
show_ip() { show_ip() {
local -a curl_args=() local -a curl_args=()
[[ ${family} == "4" ]] && curl_args=("-4") [[ ${family} == "4" ]] && curl_args=("-4")
[[ ${family} == "6" ]] && curl_args=("-6") [[ ${family} == "6" ]] && curl_args=("-6")
curl "${curl_args[@]}" zx2c4.com/ip curl "${curl_args[@]}" zx2c4.com/ip
} }
main() { main() {
check_deps check_deps
parse_args "$@" parse_args "$@"
show_ip show_ip
} }
main "$@" main "$@"

View File

@@ -1,18 +1,18 @@
# Set PATH environment variable # Set PATH environment variable
typeset -U path PATH typeset -U path PATH
path=( path=(
"${HOME}/.local/bin" "$HOME/.local/bin"
"/usr/local/sbin" "/usr/local/sbin"
"/usr/local/bin" "/usr/local/bin"
"/usr/sbin" "/usr/sbin"
"/sbin" "/sbin"
"${path[@]}" "${path[@]}"
) )
export PATH export PATH
# Configure shell history behavior # Configure shell history behavior
HISTFILE="${HOME}/.zsh_history" HISTFILE="$HOME/.zsh_history"
HISTSIZE="10000" HISTSIZE=10000
SAVEHIST="10000" SAVEHIST=10000
setopt appendhistory setopt appendhistory
setopt HIST_IGNORE_SPACE setopt HIST_IGNORE_SPACE

View File

@@ -13,24 +13,24 @@ bindkey '^U' backward-kill-line
# Change cursor shape for different vi modes # Change cursor shape for different vi modes
zle-keymap-select() { zle-keymap-select() {
if [[ "${KEYMAP}" == "vicmd" ]] || if [[ $KEYMAP == "vicmd" ]] ||
[[ "$1" == "block" ]]; then [[ $1 == "block" ]]; then
echo -ne '\e[2 q' echo -ne '\e[2 q'
psvar[1]="(cmd) " psvar[1]="(cmd) "
elif [[ "${KEYMAP}" == "main" ]] || elif [[ $KEYMAP == "main" ]] ||
[[ "${KEYMAP}" == "viins" ]] || [[ $KEYMAP == "viins" ]] ||
[[ -z "${KEYMAP}" ]] || [[ -z "$KEYMAP" ]] ||
[[ "$1" == "beam" ]]; then [[ $1 == "beam" ]]; then
echo -ne '\e[6 q' echo -ne '\e[6 q'
psvar[1]="(ins) " psvar[1]="(ins) "
fi fi
zle reset-prompt zle reset-prompt
} }
zle -N zle-keymap-select zle -N zle-keymap-select
zle-line-init() { zle-line-init() {
zle -K viins # Initiate `vi insert` as keymap (can be removed if `bindkey -V` has been set elsewhere) zle -K viins # Initiate `vi insert` as keymap (can be removed if `bindkey -V` has been set elsewhere)
echo -ne '\e[6 q' echo -ne '\e[6 q'
psvar[1]="(ins) " psvar[1]="(ins) "
} }
zle -N zle-line-init zle -N zle-line-init
echo -ne '\e[6 q' # Use beam shape cursor on startup echo -ne '\e[6 q' # Use beam shape cursor on startup

View File

@@ -1,19 +1,19 @@
if [[ -z "${TMUX}" ]]; then if [[ -z "$TMUX" ]]; then
export REAL_TERM="${TERM}" export REAL_TERM="${TERM}"
fi fi
if [[ "${REAL_TERM}" != "linux" ]]; then if [[ $REAL_TERM != "linux" ]]; then
# To customize prompt, run `p10k configure` or edit ~/.zsh/prompt/p10k.zsh. # To customize prompt, run `p10k configure` or edit ~/.zsh/prompt/p10k.zsh.
. "${HOME}/.zsh/plugins/powerlevel10k/powerlevel10k.zsh-theme" . "$HOME/.zsh/plugins/powerlevel10k/powerlevel10k.zsh-theme"
# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc. # Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n] # Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below. # confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-${HOME}/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
. "${XDG_CACHE_HOME:-${HOME}/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" . "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi fi
[[ -f "${HOME}/.zsh/prompt/p10k.zsh" ]] && . "${HOME}/.zsh/prompt/p10k.zsh" [[ -f "$HOME/.zsh/prompt/p10k.zsh" ]] && . "$HOME/.zsh/prompt/p10k.zsh"
else else
. "${HOME}/.zsh/prompt/fallback.zsh" . "$HOME/.zsh/prompt/fallback.zsh"
fi fi

View File

@@ -1,10 +1,10 @@
## Plugins configuration ## Plugins configuration
# Automatic suggestions # Automatic suggestions
. "${HOME}/.zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh" . "$HOME/.zsh/plugins/zsh-autosuggestions/zsh-autosuggestions.zsh"
# Completions # Completions
fpath=("${HOME}/.zsh/plugins/zsh-completions/src" "${fpath[@]}") fpath=("$HOME/.zsh/plugins/zsh-completions/src" "${fpath[@]}")
autoload -U compinit promptinit autoload -U compinit promptinit
compinit compinit
promptinit promptinit
@@ -14,4 +14,4 @@ promptinit
zstyle ":completion::complete:*" use-cache 1 zstyle ":completion::complete:*" use-cache 1
# Syntax highlighting in zsh prompt # Syntax highlighting in zsh prompt
. "${HOME}/.zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh" . "$HOME/.zsh/plugins/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh"

View File

@@ -1,3 +1,2 @@
# emacs specific stuff # emacs specific stuff
[[ -n "${EAT_SHELL_INTEGRATION_DIR}" ]] && [[ -n "$EAT_SHELL_INTEGRATION_DIR" ]] && . "$EAT_SHELL_INTEGRATION_DIR/zsh"
. "${EAT_SHELL_INTEGRATION_DIR}/zsh"

View File

@@ -5,17 +5,17 @@ else
export EDITOR="vim" export EDITOR="vim"
fi fi
# export EDITOR="ec" # export EDITOR="ec"
export VISUAL="${EDITOR}" export VISUAL="$EDITOR"
export SUDO_EDITOR="${EDITOR}" export SUDO_EDITOR="$EDITOR"
export VIRSH_DEFAULT_CONNECT_URI="qemu:///system" export VIRSH_DEFAULT_CONNECT_URI="qemu:///system"
export BROWSER="chromium" export BROWSER="chromium"
export PAGER="less -R -F" export PAGER="less -R -F"
export BAT_PAGER="${PAGER}" export BAT_PAGER="$PAGER"
export MANPAGER="less -R --use-color -Dd+r -Du+b" export MANPAGER="less -R --use-color -Dd+r -Du+b"
[ -f "/usr/share/cowsay/cows" ] && export COWPATH="/usr/share/cowsay/cows" [ -f "/usr/share/cowsay/cows" ] && export COWPATH="/usr/share/cowsay/cows"
export CHROOT="${HOME}/arch_chroot" export CHROOT="$HOME/arch_chroot"
export AUR_REPO="whiteman808" export AUR_REPO="whiteman808"
export AURDEST="${HOME}/.cache/paru/clone" export AURDEST="$HOME/.cache/paru/clone"
export AUR_PAGER="ranger" export AUR_PAGER="ranger"
export GPGKEY="4A45503BBE575E3D4DAF28E27264AFFDC98D52BB" export GPGKEY="4A45503BBE575E3D4DAF28E27264AFFDC98D52BB"

View File

@@ -8,15 +8,15 @@ export LESS='-R --use-color -Dd+r$Du+b$'
zmodload zsh/zpty zmodload zsh/zpty
pty() { pty() {
zpty pty-${UID} ${1+$@} zpty pty-$UID ${1+$@}
if [[ ! -t 1 ]]; then if [[ ! -t 1 ]]; then
setopt local_traps setopt local_traps
trap '' INT trap '' INT
fi fi
zpty -r pty-${UID} zpty -r pty-$UID
zpty -d pty-${UID} zpty -d pty-$UID
} }
ptyless() { ptyless() {
pty "$@" | less pty "$@" | less
} }

View File

@@ -1,44 +1,44 @@
# HSTR configuration - add this to ~/.zshrc # HSTR configuration - add this to ~/.zshrc
if command -v hstr >/dev/null 2>&1; then if command -v hstr >/dev/null 2>&1; then
alias hh="hstr" # hh to be alias for hstr alias hh="hstr" # hh to be alias for hstr
setopt histignorespace # skip cmds w/ leading space from history setopt histignorespace # skip cmds w/ leading space from history
export HSTR_CONFIG="hicolor" # get more colors export HSTR_CONFIG="hicolor" # get more colors
hstr_no_tiocsti() { hstr_no_tiocsti() {
zle -I zle -I
{ HSTR_OUT="$( { </dev/tty hstr ${BUFFER}; } 2>&1 1>&3 3>&- )"; } 3>&1; { HSTR_OUT="$( { </dev/tty hstr ${BUFFER}; } 2>&1 1>&3 3>&- )"; } 3>&1;
BUFFER="${HSTR_OUT}" BUFFER="${HSTR_OUT}"
CURSOR="${#BUFFER}" CURSOR="${#BUFFER}"
zle redisplay zle redisplay
} }
zle -N hstr_no_tiocsti zle -N hstr_no_tiocsti
bindkey '\C-r' hstr_no_tiocsti bindkey '\C-r' hstr_no_tiocsti
export HSTR_TIOCSTI=n export HSTR_TIOCSTI=n
else else
bindkey '\C-r' history-incremental-search-backward bindkey '\C-r' history-incremental-search-backward
fi fi
# better ls # better ls
if command -v eza >/dev/null 2>&1; then if command -v eza >/dev/null 2>&1; then
alias ll="eza -bghHlS" alias ll="eza -bghHlS"
else else
alias ll="exa -bghHlS" alias ll="exa -bghHlS"
fi fi
# bat (debian) # bat (debian)
if command -v batcat >/dev/null 2>&1; then if command -v batcat >/dev/null 2>&1; then
alias bat=batcat alias bat="batcat"
fi fi
# ranger # ranger
ranger_cd() { ranger_cd() {
temp_file=$(mktemp -t "ranger_cd.XXXXXXXXXX") temp_file=$(mktemp -t "ranger_cd.XXXXXXXXXX")
ranger --choosedir="${temp_file}" -- "${@:-${PWD}}" ranger --choosedir="$temp_file" -- "${@:-$PWD}"
if chosen_dir=$(cat -- "${temp_file}") && if chosen_dir=$(cat -- "$temp_file") &&
[ -n "${chosen_dir}" ] && [ -n "$chosen_dir" ] &&
[ "${chosen_dir}" != "${PWD}" ]; then [ $chosen_dir != "$PWD" ]; then
cd -- "${chosen_dir}" cd -- "$chosen_dir"
fi fi
rm -f -- "${temp_file}" rm -f -- "$temp_file"
} }
alias ranger="ranger_cd" alias ranger="ranger_cd"
@@ -47,38 +47,38 @@ alias ranger="ranger_cd"
[[ -f "/usr/lib/mc/mc.sh" ]] && . "/usr/lib/mc/mc.sh" [[ -f "/usr/lib/mc/mc.sh" ]] && . "/usr/lib/mc/mc.sh"
# nix package manager # nix package manager
[[ -e "${HOME}/.nix-profile/etc/profile.d/nix.sh" ]] && [[ -e "$HOME/.nix-profile/etc/profile.d/nix.sh" ]] &&
. "${HOME}/.nix-profile/etc/profile.d/nix.sh" . "$HOME/.nix-profile/etc/profile.d/nix.sh"
# nix shell # nix shell
if command -v nix-your-shell >/dev/null 2>&1; then if command -v nix-your-shell >/dev/null 2>&1; then
nix-your-shell zsh | . /dev/stdin nix-your-shell zsh | . /dev/stdin
fi fi
# node.js # node.js
export NVM_DIR="${HOME}/.nvm" export NVM_DIR="$HOME/.nvm"
[[ -s "${NVM_DIR}/nvm.sh" ]] && [[ -s "$NVM_DIR/nvm.sh" ]] &&
. "${NVM_DIR}/nvm.sh" # This loads nvm . "$NVM_DIR/nvm.sh" # This loads nvm
[[ -s "${NVM_DIR}/bash_completion" ]] && [[ -s "$NVM_DIR/bash_completion" ]] &&
. "${NVM_DIR}/bash_completion" # This loads nvm bash_completion . "$NVM_DIR/bash_completion" # This loads nvm bash_completion
# rvm # rvm
[[ -s "${HOME}/.rvm/scripts/rvm" ]] && . "${HOME}/.rvm/scripts/rvm" [[ -s "$HOME/.rvm/scripts/rvm" ]] && . "$HOME/.rvm/scripts/rvm"
# pyenv # pyenv
export PYENV_ROOT="${HOME}/.pyenv" export PYENV_ROOT="$HOME/.pyenv"
if [[ -d "${PYENV_ROOT}/bin" ]]; then if [[ -d "$PYENV_ROOT/bin" ]]; then
path=("${PYENV_ROOT}/bin" "${path[@]}") path=("$PYENV_ROOT/bin" "${path[@]}")
export PATH export PATH
eval "$(pyenv init - zsh)" eval "$(pyenv init - zsh)"
eval "$(pyenv virtualenv-init -)" eval "$(pyenv virtualenv-init -)"
fi fi
# inside tmux, we don't know if Sway got restarted # inside tmux, we don't know if Sway got restarted
if [[ -v TMUX ]]; then if [[ -v TMUX ]]; then
swaymsg() { swaymsg() {
SWAYSOCK="${XDG_RUNTIME_DIR}/sway-ipc.${UID}.$(pgrep -x sway).sock" SWAYSOCK="$XDG_RUNTIME_DIR/sway-ipc.$UID.$(pgrep -x sway).sock"
export SWAYSOCK export SWAYSOCK
command swaymsg "$@" command swaymsg "$@"
} }
fi fi

View File

@@ -7,13 +7,13 @@ alias sudo="sudo "
alias rsync_copy="rsync -aAXUHvh --partial-dir=.rsync-partial --progress" alias rsync_copy="rsync -aAXUHvh --partial-dir=.rsync-partial --progress"
alias rsync_copy_ssh="rsync_copy -e ssh" alias rsync_copy_ssh="rsync_copy -e ssh"
alias rsync_backup="rsync_copy --numeric-ids --delete --exclude={'/dev/*', \ alias rsync_backup="rsync_copy --numeric-ids --delete --exclude={'/dev/*', \
'/proc/*','/sys/*','/tmp/*','/run/*','/mnt/*','/media/*','/lost+found'}" '/proc/*','/sys/*','/tmp/*','/run/*','/mnt/*','/media/*','/lost+found'}"
alias rsync_backup_ssh="rsync_backup -e ssh" alias rsync_backup_ssh="rsync_backup -e ssh"
alias rsync_restore="rsync_copy --numeric-ids --delete --exclude='lost+found'" alias rsync_restore="rsync_copy --numeric-ids --delete --exclude='lost+found'"
alias rsync_restore_ssh="rsync_restore -e ssh" alias rsync_restore_ssh="rsync_restore -e ssh"
alias glog="git log --oneline" alias glog="git log --oneline"
alias emerge_world="emerge --ask --verbose --deep --newuse --update @world" alias emerge_world="emerge --ask --verbose --deep --newuse --update @world"
alias sync_repo="rsync_copy_ssh --delete ~/arch_paczuchy/* \ alias sync_repo="rsync_copy_ssh --delete ~/arch_paczuchy/* \
vps.paraboletancza.org:/srv/http/repo.paraboletancza.org/arch" vps.paraboletancza.org:/srv/http/repo.paraboletancza.org/arch"
alias aur_sync="aur sync --sign --chroot" alias aur_sync="aur sync --sign --chroot"
alias aur_build="aur build --sign --chroot" alias aur_build="aur build --sign --chroot"

View File

@@ -1,34 +1,35 @@
take() { take() {
local -r directory="$1" local -r directory="$1"
mkdir -p "${directory}" mkdir -p "$directory"
cd "${directory}" || exit 1 cd "$directory" || exit 1
} }
# downloading from youtube # downloading from youtube
yt-dlp() { yt-dlp() {
local -a -r args=( local -a -r args=(
--cookies-from-browser "chromium:${HOME}/.local/share/qutebrowser" --cookies-from-browser "chromium:$HOME/.local/share/qutebrowser"
--extractor-args "youtube:player_client=default,web_safari;player_js_version=actual" --extractor-args "youtube:player_client=default,web_safari;player_js_version=actual"
--fragment-retries infinite --fragment-retries infinite
) --remote-components "ejs:github"
command yt-dlp "${args[@]}" "$@" )
command yt-dlp "${args[@]}" "$@"
} }
yt_dl_mp3() { yt_dl_mp3() {
yt-dlp -t mp3 --embed-thumbnail "$@" yt-dlp -t mp3 --embed-thumbnail "$@"
} }
yt_dl_channel() { yt_dl_channel() {
local -a -r args=( local -a -r args=(
--download-archive "archive.txt" --download-archive "archive.txt"
--output "%(upload_date)s.%(title)s.%(id)s.%(ext)s" --output "%(upload_date)s.%(title)s.%(id)s.%(ext)s"
--merge-output-format mkv --merge-output-format mkv
--ignore-errors --ignore-errors
--write-sub --write-sub
--sub-langs "en,pl" --sub-langs "en,pl"
--write-description --write-description
--write-info-json --write-info-json
--write-thumbnail --write-thumbnail
) )
yt-dlp "${args[@]}" "$@" yt-dlp "${args[@]}" "$@"
} }

View File

@@ -1,4 +1,4 @@
# load zsh configuration # load zsh configuration
for file in "${HOME}/.zsh/conf.d/"*.zsh(N); do for file in "$HOME/.zsh/conf.d/"*.zsh(N); do
source "${file}" . "$file"
done done

View File

@@ -2,5 +2,5 @@ root = true
[*] [*]
indent_style = space indent_style = space
indent_size = 2 indent_size = 4
max_line_length = 80 max_line_length = 80